
///////////////////////////////////////////////////////////////////////////////
// Copyright 1995 by Potomac Software, Inc. Use of this material is subject to
// the terms and conditions of the software license agreement.

#ifndef __WEBLIBVB_H__
#define __WEBLIBVB_H__

#include <windows.h>

#ifdef __cplusplus 
extern "C" {
#endif 

///////////////////////////////////////////////////////////////////////////////
// VB Browser action APIs.

LONG WINAPI actionConnectBrowser(WORD wOptions);
LONG WINAPI actionDisconnectBrowser(BOOL bExit);

LONG WINAPI actionGetWindowInfo(DWORD dwWindow);
LONG WINAPI actionListWindows();
LONG WINAPI actionActivateWindow(DWORD dwWindow);
LONG WINAPI actionCloseWindow(DWORD dwWindow);

LONG WINAPI actionSetWindowPos(DWORD dwWindow,DWORD dwX,DWORD dwY,DWORD dwWidth,
	DWORD dwHeight);
LONG WINAPI actionShowWindow(DWORD dwWindow,UINT nShow);

LONG WINAPI actionShowFile(LPCSTR lpszFile,LPCSTR lpszMIMEType,DWORD dwWindow,LPCSTR lpszURL);

LONG WINAPI actionOpenURL(LPCSTR lpszURL,DWORD dwWindow,WORD wOptions);
LONG WINAPI actionSaveURL(LPCSTR lpszURL,LPCSTR lpszFile,DWORD dwWindow,WORD wOptions);

LONG WINAPI actionPostFormData(LPCSTR lpszURL,DWORD dwWindow,LPCSTR lpszFormData,
	LPCSTR lpszMIMEType);
LONG WINAPI actionSaveFormData(LPCSTR lpszURL,LPCSTR lpszFile,DWORD dwWindow,
	LPCSTR lpszFormData,LPCSTR lpszMIMEType);
	
LONG WINAPI actionCancel(DWORD dwTransaction);

LONG WINAPI actionRegisterProtocol(LPCSTR lpszProtocol);
LONG WINAPI actionUnregisterProtocol(LPCSTR lpszProtocol);

LONG WINAPI actionRegisterURLEcho();
LONG WINAPI actionUnregisterURLEcho();

LONG WINAPI actionRegisterViewer(LPCSTR lpszMIMEType,WORD wOptions);
LONG WINAPI actionUnregisterViewer(LPCSTR lpszMIMEType);

LONG WINAPI actionRegisterWindowChange(DWORD dwWindow);
LONG WINAPI actionUnregisterWindowChange(DWORD dwWindow);

LONG WINAPI actionParseAnchor(LPCSTR lpszAbsoluteURL,LPCSTR lpszRelativeURL);
LONG WINAPI actionGetVersion(WORD wMajor,WORD wMinor);
LONG WINAPI actionQueryURLFile(LPCSTR lpszFile);
LONG WINAPI actionSetNotifyMethod(WORD wMethod);
LONG WINAPI actionGetTransactionWindow(DWORD dwTransaction);

///////////////////////////////////////////////////////////////////////////////
// VB Toolbar action APIs.

LONG WINAPI actionCreateToolbar(LPCSTR lpszMenuText);
LONG WINAPI actionDeleteToolbar();

LONG WINAPI actionIsToolbarActive();
LONG WINAPI actionSetActiveToolbar();

LONG WINAPI actionAddToolbarButtonByHandle(UINT nID,int nIdx,LPCSTR lpszText,
	USHORT nBitmap,USHORT nBitmapSel,USHORT nBitmapFocus,USHORT nBitmapDisabled,
		BOOL bCopy);
	
LONG WINAPI actionAddToolbarButtonByID(UINT nID,int nIdx,LPCSTR lpszText,
	USHORT nInstance,USHORT nBitmap,USHORT nBitmapSel,USHORT nBitmapFocus,
		USHORT nBitmapDisabled);
	
LONG WINAPI actionAddToolbarButtonByName(UINT nID,int nIdx,LPCSTR lpszText,
	USHORT nInstance,LPCSTR lpszBitmap,LPCSTR lpszBitmapSel,LPCSTR lpszBitmapFocus,
		LPCSTR lpszBitmapDisabled); 
	
LONG WINAPI actionRemoveToolbarButton(UINT nID);

LONG WINAPI actionIsToolbarButtonVisible(UINT nID);
LONG WINAPI actionShowToolbarButton(UINT nID,BOOL bShow);

LONG WINAPI actionIsToolbarButtonEnabled(UINT nID);
LONG WINAPI actionEnableToolbarButton(UINT nID,BOOL bEnable);

LONG WINAPI actionGetToolbarText(UINT nID);
LONG WINAPI actionSetToolbarText(UINT nID,LPCSTR lpszText);

LONG WINAPI actionGetToolbarFont(int nType);
LONG WINAPI actionSetToolbarFont(int nType,USHORT nFont);

LONG WINAPI actionGetToolbarBkgnd();
LONG WINAPI actionSetToolbarBkgnd(LONG lBackground);

LONG WINAPI actionGetToolbarTextColor(int nType);
LONG WINAPI actionSetToolbarTextColor(int nType,LONG lText);

///////////////////////////////////////////////////////////////////////////////
// VB Utility action APIs.

LONG WINAPI actionAppendFormData(LPCSTR lpszName,LPCSTR lpszData,UINT cbData);
LONG WINAPI actionAccessFormData();

#ifdef __cplusplus 
}
#endif

#endif
